<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- InheritanceTree.html -->
<!-- this view was generated by InheritanceTree -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Inheritance Tree</title>
<link href="style.css" type="text/css" rel="stylesheet" />
</head>
<body class="InheritanceTree">
<div class="navigation">
<span class="normal"><a href="Scopes/global.html" >Global Namespace</a></span>
<span class="selected">Inheritance Tree</span>
<span class="normal"><a href="InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="NameIndex.html" >Name Index</a></span>
</div>
<h1 >Inheritance Tree</h1><ul><li><a href="Scopes/Synopsis/Buffer.html" >Synopsis::Buffer</a></li><li><a href="Scopes/Synopsis/Buffer/Replacement.html" >Synopsis::Buffer::Replacement</a></li><li><a href="Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li><li><a href="Scopes/Synopsis/Lexer/Queue.html" >Synopsis::Lexer::Queue</a></li><li><a href="Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li><li><a href="Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li><li>Synopsis::PTree::LightObject<ul><li><a href="Scopes/Synopsis/PTree/Array.html" >Array</a> <i>(Synopsis::PTree::LightObject)</i></li><li><a href="Scopes/Synopsis/PTree/Iterator.html" >Iterator</a> <i>(Synopsis::PTree::LightObject)</i></li><li><a href="Scopes/Synopsis/PTree/Node.html" >Node</a> <i>(Synopsis::PTree::LightObject)</i><ul><li><a href="Scopes/Synopsis/PTree/Atom.html" >Atom</a> <i>(Synopsis::PTree::Node)</i><ul><li><a href="Scopes/Synopsis/PTree/CommentedAtom.html" >CommentedAtom</a> <i>(Synopsis::PTree::Atom)</i><ul><li><a href="Scopes/Synopsis/PTree/DupAtom.html" >DupAtom</a> <i>(Synopsis::PTree::CommentedAtom)</i></li><li><a href="Scopes/Synopsis/PTree/Identifier.html" >Identifier</a> <i>(Synopsis::PTree::CommentedAtom)</i></li><li><a href="Scopes/Synopsis/PTree/Keyword.html" >Keyword</a> <i>(Synopsis::PTree::CommentedAtom)</i><ul><li><a href="Scopes/Synopsis/PTree/KeywordT.html" >KeywordT</a> <i>(Synopsis::PTree::Keyword)</i></li><li><a href="Scopes/Synopsis/PTree/UserKeyword.html" >UserKeyword</a> <i>(Synopsis::PTree::Keyword)</i></li></ul>
</li></ul>
</li><li><a href="Scopes/Synopsis/PTree/Literal.html" >Literal</a> <i>(Synopsis::PTree::Atom)</i></li></ul>
</li><li><a href="Scopes/Synopsis/PTree/List.html" >List</a> <i>(Synopsis::PTree::Node)</i><ul><li><a href="Scopes/Synopsis/PTree/AccessDecl.html" >AccessDecl</a> <i>(Synopsis::PTree::List)</i></li><li><a href="Scopes/Synopsis/PTree/AccessSpec.html" >AccessSpec</a> <i>(Synopsis::PTree::List)</i></li><li><a href="Scopes/Synopsis/PTree/Brace.html" >Brace</a> <i>(Synopsis::PTree::List)</i><ul><li><a href="Scopes/Synopsis/PTree/Block.html" >Block</a> <i>(Synopsis::PTree::Brace)</i></li><li><a href="Scopes/Synopsis/PTree/ClassBody.html" >ClassBody</a> <i>(Synopsis::PTree::Brace)</i></li></ul>
</li><li><a href="Scopes/Synopsis/PTree/ClassSpec.html" >ClassSpec</a> <i>(Synopsis::PTree::List)</i></li><li><a href="Scopes/Synopsis/PTree/Declaration.html" >Declaration</a> <i>(Synopsis::PTree::List)</i><ul><li><a href="Scopes/Synopsis/PTree/FunctionDefinition.html" >FunctionDefinition</a> <i>(Synopsis::PTree::Declaration)</i></li><li><a href="Scopes/Synopsis/PTree/NamespaceAlias.html" >NamespaceAlias</a> <i>(Synopsis::PTree::Declaration)</i></li><li><a href="Scopes/Synopsis/PTree/Typedef.html" >Typedef</a> <i>(Synopsis::PTree::Declaration)</i></li><li><a href="Scopes/Synopsis/PTree/UsingDeclaration.html" >UsingDeclaration</a> <i>(Synopsis::PTree::Declaration)</i></li><li><a href="Scopes/Synopsis/PTree/UsingDirective.html" >UsingDirective</a> <i>(Synopsis::PTree::Declaration)</i></li></ul>
</li><li><a href="Scopes/Synopsis/PTree/Declarator.html" >Declarator</a> <i>(Synopsis::PTree::List)</i></li><li><a href="Scopes/Synopsis/PTree/EnumSpec.html" >EnumSpec</a> <i>(Synopsis::PTree::List)</i></li><li><a href="Scopes/Synopsis/PTree/Expression.html" >Expression</a> <i>(Synopsis::PTree::List)</i></li><li><a href="Scopes/Synopsis/PTree/ExpressionT.html" >ExpressionT</a> <i>(Synopsis::PTree::List)</i><ul><li><a href="Scopes/Synopsis/PTree/ArrayExpr.html" >ArrayExpr</a> <i>(Synopsis::PTree::ExpressionT)</i></li><li><a href="Scopes/Synopsis/PTree/ArrowMemberExpr.html" >ArrowMemberExpr</a> <i>(Synopsis::PTree::ExpressionT)</i></li><li><a href="Scopes/Synopsis/PTree/AssignExpr.html" >AssignExpr</a> <i>(Synopsis::PTree::ExpressionT)</i></li><li><a href="Scopes/Synopsis/PTree/CastExpr.html" >CastExpr</a> <i>(Synopsis::PTree::ExpressionT)</i></li><li><a href="Scopes/Synopsis/PTree/CondExpr.html" >CondExpr</a> <i>(Synopsis::PTree::ExpressionT)</i></li><li><a href="Scopes/Synopsis/PTree/DeleteExpr.html" >DeleteExpr</a> <i>(Synopsis::PTree::ExpressionT)</i></li><li><a href="Scopes/Synopsis/PTree/DotMemberExpr.html" >DotMemberExpr</a> <i>(Synopsis::PTree::ExpressionT)</i></li><li><a href="Scopes/Synopsis/PTree/FuncallExpr.html" >FuncallExpr</a> <i>(Synopsis::PTree::ExpressionT)</i></li><li><a href="Scopes/Synopsis/PTree/InfixExpr.html" >InfixExpr</a> <i>(Synopsis::PTree::ExpressionT)</i></li><li><a href="Scopes/Synopsis/PTree/NewExpr.html" >NewExpr</a> <i>(Synopsis::PTree::ExpressionT)</i></li><li><a href="Scopes/Synopsis/PTree/OffsetofExpr.html" >OffsetofExpr</a> <i>(Synopsis::PTree::ExpressionT)</i></li><li><a href="Scopes/Synopsis/PTree/ParenExpr.html" >ParenExpr</a> <i>(Synopsis::PTree::ExpressionT)</i></li><li><a href="Scopes/Synopsis/PTree/PmExpr.html" >PmExpr</a> <i>(Synopsis::PTree::ExpressionT)</i></li><li><a href="Scopes/Synopsis/PTree/PostfixExpr.html" >PostfixExpr</a> <i>(Synopsis::PTree::ExpressionT)</i></li><li><a href="Scopes/Synopsis/PTree/SizeofExpr.html" >SizeofExpr</a> <i>(Synopsis::PTree::ExpressionT)</i></li><li><a href="Scopes/Synopsis/PTree/StaticUserStatementExpr.html" >StaticUserStatementExpr</a> <i>(Synopsis::PTree::ExpressionT)</i></li><li><a href="Scopes/Synopsis/PTree/ThrowExpr.html" >ThrowExpr</a> <i>(Synopsis::PTree::ExpressionT)</i></li><li><a href="Scopes/Synopsis/PTree/TypeidExpr.html" >TypeidExpr</a> <i>(Synopsis::PTree::ExpressionT)</i></li><li><a href="Scopes/Synopsis/PTree/TypeofExpr.html" >TypeofExpr</a> <i>(Synopsis::PTree::ExpressionT)</i></li><li><a href="Scopes/Synopsis/PTree/UnaryExpr.html" >UnaryExpr</a> <i>(Synopsis::PTree::ExpressionT)</i></li><li><a href="Scopes/Synopsis/PTree/UserStatementExpr.html" >UserStatementExpr</a> <i>(Synopsis::PTree::ExpressionT)</i></li></ul>
</li><li><a href="Scopes/Synopsis/PTree/ExternTemplate.html" >ExternTemplate</a> <i>(Synopsis::PTree::List)</i></li><li><a href="Scopes/Synopsis/PTree/FstyleCastExpr.html" >FstyleCastExpr</a> <i>(Synopsis::PTree::List)</i></li><li><a href="Scopes/Synopsis/PTree/LinkageSpec.html" >LinkageSpec</a> <i>(Synopsis::PTree::List)</i></li><li><a href="Scopes/Synopsis/PTree/MetaclassDecl.html" >MetaclassDecl</a> <i>(Synopsis::PTree::List)</i></li><li><a href="Scopes/Synopsis/PTree/Name.html" >Name</a> <i>(Synopsis::PTree::List)</i></li><li><a href="Scopes/Synopsis/PTree/NamespaceSpec.html" >NamespaceSpec</a> <i>(Synopsis::PTree::List)</i></li><li><a href="Scopes/Synopsis/PTree/ParameterDeclaration.html" >ParameterDeclaration</a> <i>(Synopsis::PTree::List)</i></li><li><a href="Scopes/Synopsis/PTree/StatementT.html" >StatementT</a> <i>(Synopsis::PTree::List)</i><ul><li><a href="Scopes/Synopsis/PTree/BreakStatement.html" >BreakStatement</a> <i>(Synopsis::PTree::StatementT)</i></li><li><a href="Scopes/Synopsis/PTree/CaseStatement.html" >CaseStatement</a> <i>(Synopsis::PTree::StatementT)</i></li><li><a href="Scopes/Synopsis/PTree/ContinueStatement.html" >ContinueStatement</a> <i>(Synopsis::PTree::StatementT)</i></li><li><a href="Scopes/Synopsis/PTree/DefaultStatement.html" >DefaultStatement</a> <i>(Synopsis::PTree::StatementT)</i></li><li><a href="Scopes/Synopsis/PTree/DoStatement.html" >DoStatement</a> <i>(Synopsis::PTree::StatementT)</i></li><li><a href="Scopes/Synopsis/PTree/ExprStatement.html" >ExprStatement</a> <i>(Synopsis::PTree::StatementT)</i></li><li><a href="Scopes/Synopsis/PTree/ForStatement.html" >ForStatement</a> <i>(Synopsis::PTree::StatementT)</i></li><li><a href="Scopes/Synopsis/PTree/GotoStatement.html" >GotoStatement</a> <i>(Synopsis::PTree::StatementT)</i></li><li><a href="Scopes/Synopsis/PTree/IfStatement.html" >IfStatement</a> <i>(Synopsis::PTree::StatementT)</i></li><li><a href="Scopes/Synopsis/PTree/LabelStatement.html" >LabelStatement</a> <i>(Synopsis::PTree::StatementT)</i></li><li><a href="Scopes/Synopsis/PTree/ReturnStatement.html" >ReturnStatement</a> <i>(Synopsis::PTree::StatementT)</i></li><li><a href="Scopes/Synopsis/PTree/SwitchStatement.html" >SwitchStatement</a> <i>(Synopsis::PTree::StatementT)</i></li><li><a href="Scopes/Synopsis/PTree/TryStatement.html" >TryStatement</a> <i>(Synopsis::PTree::StatementT)</i></li><li><a href="Scopes/Synopsis/PTree/WhileStatement.html" >WhileStatement</a> <i>(Synopsis::PTree::StatementT)</i></li></ul>
</li><li><a href="Scopes/Synopsis/PTree/TemplateDecl.html" >TemplateDecl</a> <i>(Synopsis::PTree::List)</i></li><li><a href="Scopes/Synopsis/PTree/TemplateInstantiation.html" >TemplateInstantiation</a> <i>(Synopsis::PTree::List)</i></li><li><a href="Scopes/Synopsis/PTree/TypeParameter.html" >TypeParameter</a> <i>(Synopsis::PTree::List)</i></li><li><a href="Scopes/Synopsis/PTree/UserAccessSpec.html" >UserAccessSpec</a> <i>(Synopsis::PTree::List)</i></li><li><a href="Scopes/Synopsis/PTree/UserdefKeyword.html" >UserdefKeyword</a> <i>(Synopsis::PTree::List)</i></li></ul>
</li></ul>
</li></ul>
</li><li><a href="Scopes/Synopsis/PTree/Node/`0097.html" >Synopsis::PTree::Node::`0097</a></li><li><a href="Scopes/Synopsis/PTree/Node/`0097/`0098.html" >Synopsis::PTree::Node::`0097::`0098</a></li><li><a href="Scopes/Synopsis/PTree/Node/`0097/`0099.html" >Synopsis::PTree::Node::`0097::`0099</a></li><li><a href="Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a><ul><li><a href="Scopes/Synopsis/PTree/Display.html" >Display</a> <i>(Synopsis::PTree::Visitor)</i></li><li><a href="Scopes/Synopsis/PTree/DotFileGenerator.html" >DotFileGenerator</a> <i>(Synopsis::PTree::Visitor)</i></li><li><a href="Scopes/Synopsis/PTree/RTTIDisplay.html" >RTTIDisplay</a> <i>(Synopsis::PTree::Visitor)</i></li><li><a href="Scopes/Synopsis/PTree/TypeVisitor.html" >TypeVisitor</a> <i>(Synopsis::PTree::Visitor)</i></li><li><a href="Scopes/Synopsis/PTree/Writer.html" >Writer</a> <i>(Synopsis::PTree::Visitor)</i></li><li><a href="Scopes/Synopsis/SymbolLookup/Walker.html" >SymbolLookup::Walker</a> <i>(Synopsis::PTree::Visitor)</i></li><li><a href="Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html" >TypeAnalysis::ConstEvaluator</a> <i>(Synopsis::PTree::Visitor)</i></li><li><a href="Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >TypeAnalysis::TypeEvaluator</a> <i>(Synopsis::PTree::Visitor)</i></li></ul>
</li><li><a href="Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li><li><a href="Scopes/Synopsis/Parser/Error.html" >Synopsis::Parser::Error</a></li><li><a href="Scopes/Synopsis/Parser/StatusGuard.html" >Synopsis::Parser::StatusGuard</a></li><li><a href="Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li><li><a href="Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a><ul><li><a href="Scopes/Synopsis/SymbolLookup/Class.html" >Class</a> <i>(Synopsis::SymbolLookup::Scope)</i></li><li><a href="Scopes/Synopsis/SymbolLookup/FunctionScope.html" >FunctionScope</a> <i>(Synopsis::SymbolLookup::Scope)</i></li><li><a href="Scopes/Synopsis/SymbolLookup/LocalScope.html" >LocalScope</a> <i>(Synopsis::SymbolLookup::Scope)</i></li><li><a href="Scopes/Synopsis/SymbolLookup/Namespace.html" >Namespace</a> <i>(Synopsis::SymbolLookup::Scope)</i></li><li><a href="Scopes/Synopsis/SymbolLookup/PrototypeScope.html" >PrototypeScope</a> <i>(Synopsis::SymbolLookup::Scope)</i></li><li><a href="Scopes/Synopsis/SymbolLookup/TemplateParameterScope.html" >TemplateParameterScope</a> <i>(Synopsis::SymbolLookup::Scope)</i></li></ul>
</li><li><a href="Scopes/Synopsis/SymbolLookup/ScopeVisitor.html" >Synopsis::SymbolLookup::ScopeVisitor</a><ul><li><a href="Scopes/Synopsis/SymbolLookup/ScopeDisplay.html" >ScopeDisplay</a> <i>(Synopsis::SymbolLookup::ScopeVisitor)</i></li></ul>
</li><li><a href="Scopes/Synopsis/SymbolLookup/Symbol.html" >Synopsis::SymbolLookup::Symbol</a><ul><li><a href="Scopes/Synopsis/SymbolLookup/ClassTemplateName.html" >ClassTemplateName</a> <i>(Synopsis::SymbolLookup::Symbol)</i></li><li><a href="Scopes/Synopsis/SymbolLookup/FunctionName.html" >FunctionName</a> <i>(Synopsis::SymbolLookup::Symbol)</i></li><li><a href="Scopes/Synopsis/SymbolLookup/FunctionTemplateName.html" >FunctionTemplateName</a> <i>(Synopsis::SymbolLookup::Symbol)</i></li><li><a href="Scopes/Synopsis/SymbolLookup/NamespaceName.html" >NamespaceName</a> <i>(Synopsis::SymbolLookup::Symbol)</i></li><li><a href="Scopes/Synopsis/SymbolLookup/TypeName.html" >TypeName</a> <i>(Synopsis::SymbolLookup::Symbol)</i><ul><li><a href="Scopes/Synopsis/SymbolLookup/ClassName.html" >ClassName</a> <i>(Synopsis::SymbolLookup::TypeName)</i></li><li><a href="Scopes/Synopsis/SymbolLookup/EnumName.html" >EnumName</a> <i>(Synopsis::SymbolLookup::TypeName)</i></li><li><a href="Scopes/Synopsis/SymbolLookup/TypedefName.html" >TypedefName</a> <i>(Synopsis::SymbolLookup::TypeName)</i></li></ul>
</li><li><a href="Scopes/Synopsis/SymbolLookup/VariableName.html" >VariableName</a> <i>(Synopsis::SymbolLookup::Symbol)</i><ul><li><a href="Scopes/Synopsis/SymbolLookup/ConstName.html" >ConstName</a> <i>(Synopsis::SymbolLookup::VariableName)</i></li></ul>
</li></ul>
</li><li><a href="Scopes/Synopsis/SymbolLookup/SymbolVisitor.html" >Synopsis::SymbolLookup::SymbolVisitor</a><ul><li><a href="Scopes/Synopsis/SymbolLookup/SymbolDisplay.html" >SymbolDisplay</a> <i>(Synopsis::SymbolLookup::SymbolVisitor)</i></li></ul>
</li><li><a href="Scopes/Synopsis/Timer.html" >Synopsis::Timer</a></li><li><a href="Scopes/Synopsis/Token.html" >Synopsis::Token</a></li><li><a href="Scopes/Synopsis/Trace.html" >Synopsis::Trace</a></li><li><a href="Scopes/Synopsis/Trace/Entry.html" >Synopsis::Trace::Entry</a></li><li><a href="Scopes/Synopsis/TypeAnalysis/Kit.html" >Synopsis::TypeAnalysis::Kit</a></li><li><a href="Scopes/Synopsis/TypeAnalysis/Type.html" >Synopsis::TypeAnalysis::Type</a><ul><li><a href="Scopes/Synopsis/TypeAnalysis/Array.html" >Array</a> <i>(Synopsis::TypeAnalysis::Type)</i></li><li><a href="Scopes/Synopsis/TypeAnalysis/BuiltinType.html" >BuiltinType</a> <i>(Synopsis::TypeAnalysis::Type)</i></li><li><a href="Scopes/Synopsis/TypeAnalysis/CVType.html" >CVType</a> <i>(Synopsis::TypeAnalysis::Type)</i></li><li><a href="Scopes/Synopsis/TypeAnalysis/Compound.html" >Compound</a> <i>(Synopsis::TypeAnalysis::Type)</i><ul><li><a href="Scopes/Synopsis/TypeAnalysis/Class.html" >Class</a> <i>(Synopsis::TypeAnalysis::Compound)</i></li><li><a href="Scopes/Synopsis/TypeAnalysis/Union.html" >Union</a> <i>(Synopsis::TypeAnalysis::Compound)</i></li></ul>
</li><li><a href="Scopes/Synopsis/TypeAnalysis/Enum.html" >Enum</a> <i>(Synopsis::TypeAnalysis::Type)</i></li><li><a href="Scopes/Synopsis/TypeAnalysis/Function.html" >Function</a> <i>(Synopsis::TypeAnalysis::Type)</i></li><li><a href="Scopes/Synopsis/TypeAnalysis/Pointer.html" >Pointer</a> <i>(Synopsis::TypeAnalysis::Type)</i></li><li><a href="Scopes/Synopsis/TypeAnalysis/PointerToMember.html" >PointerToMember</a> <i>(Synopsis::TypeAnalysis::Type)</i></li><li><a href="Scopes/Synopsis/TypeAnalysis/Reference.html" >Reference</a> <i>(Synopsis::TypeAnalysis::Type)</i></li></ul>
</li><li><a href="Scopes/Synopsis/TypeAnalysis/Visitor.html" >Synopsis::TypeAnalysis::Visitor</a></li><li>std::exception<ul><li><a href="Scopes/Synopsis/SymbolLookup/InternalError.html" >Synopsis::SymbolLookup::InternalError</a> <i>(std::exception)</i></li><li><a href="Scopes/Synopsis/SymbolLookup/MultiplyDefined.html" >Synopsis::SymbolLookup::MultiplyDefined</a> <i>(std::exception)</i></li><li><a href="Scopes/Synopsis/SymbolLookup/TypeError.html" >Synopsis::SymbolLookup::TypeError</a> <i>(std::exception)</i></li><li><a href="Scopes/Synopsis/SymbolLookup/Undefined.html" >Synopsis::SymbolLookup::Undefined</a> <i>(std::exception)</i></li></ul>
</li><li>std::runtime_error<ul><li><a href="Scopes/Synopsis/Lexer/InvalidChar.html" >Synopsis::Lexer::InvalidChar</a> <i>(std::runtime_error)</i></li></ul>
</li></ul>
</body>
</html>
